function searchBG() {
    //Check to see if we open up a new window
    var RDF = Components.classes["@mozilla.org/rdf/rdf-service;1"].getService(Components.interfaces.nsIRDFService);
    var dsource = RDF.GetDataSource("rdf:local-store");
    var nameRDF = RDF.GetResource("http://dupadee.net/rdf#name");
    var nWin = dsource.GetTarget(RDF.GetResource("http://dupadee.net/settings/windowbehavior"), nameRDF, true);
    var language = dsource.GetTarget(RDF.GetResource("http://dupadee.net/settings/language"), nameRDF, true);
    var lang = language.QueryInterface(Components.interfaces.nsIRDFLiteral).Value;

    if (nWin) {
        nWin = parseInt(nWin.QueryInterface(Components.interfaces.nsIRDFLiteral).Value);
    }
    else
    {
        nWin = 1;
    }
        
    var passage=document.getElementById('passage').value;
    var keyword=document.getElementById('keyword').value;
    var version=document.getElementById('version').value;
    var restrict=document.getElementById('restrict').value;
    var site="bg";

    if (version=="asv"||version=="rsv"||version=="nrs"||version=="gnt"||version=="tmb"||version=="rhe"||version=="gwd"||version=="ncv"|| version=="csb"||version=="web") {
        site="cw";
    }
    var theURL = "";
    if (passage != "") {
        if (site=="cw") {
            theURL = "http://bible.crosswalk.com/OnlineStudyBible/bible.cgi?word=" + passage + "&version=" + version;
        } else {
            theURL = "http://www.biblegateway.com/cgi-bin/bible?language=" + lang + "&passage=" + passage + "&version=" + version;
        }
    } else {
        if (restrict != "0") {
            if (site=="cw") {
                theURL = "http://bible.crosswalk.com/OnlineStudyBible/bible.cgi?word=" + keyword + "&version=" + version + "&section=" + restrict;
            } else {
                theURL = "http://www.biblegateway.com/cgi-bin/bible?language=" + lang + "&search=" + keyword + "&version=" + version + "&restrict=" + restrict;
            }
        } else {
            if (site=="cw") {
                theURL = "http://bible.crosswalk.com/OnlineStudyBible/bible.cgi?word=" + keyword + "&version=" + version;
            } else {
                theURL = "http://www.biblegateway.com/cgi-bin/bible?language=" + lang + "&search=" + keyword + "&version=" + version;
            }
        }
    }
    
    if(nWin == 1) {
        window.open(theURL);
    }
    else if(nWin == 2) {
	var browser = getBrowser();
	var tab = browser.addTab(theURL);
    } else 
    {
        window.content.document.location.href=theURL;
    }
    
    
}

function changeRestrictCW() {
    document.getElementById("restrict").removeAllItems();
    document.getElementById("restrict").appendItem("Restrict Search...", "0");
    document.getElementById("restrict").appendItem("Old Testament", "1");
    document.getElementById("restrict").appendItem("New Testament", "2");
    document.getElementById("restrict").appendItem("Books of Law", "3");
    document.getElementById("restrict").appendItem("Books of History", "4");
    document.getElementById("restrict").appendItem("Books of Wisdom", "5");
    document.getElementById("restrict").appendItem("Major Prophets", "6");
    document.getElementById("restrict").appendItem("Minor Prophets", "7");
    document.getElementById("restrict").appendItem("The Gospels", "8");
    document.getElementById("restrict").appendItem("Pauline Epistles", "9");
    document.getElementById("restrict").appendItem("General Epistles", "10");
    document.getElementById("restrict").appendItem("Apocalyptic Books", "11");
    document.getElementById("restrict").selectedIndex=0;
}

function changeRestrictBG() {
    document.getElementById("restrict").removeAllItems();
    document.getElementById("restrict").appendItem("Restrict Search...", "0");
    document.getElementById("restrict").appendItem("Books of Moses", "Books_of_Moses");
    document.getElementById("restrict").appendItem("Epistles", "Epistles");
    document.getElementById("restrict").appendItem("Gospels", "Gospels");
    document.getElementById("restrict").appendItem("Major Prophets", "Major_Prophets");
    document.getElementById("restrict").appendItem("Minor Prophets", "Minor_Prophets");
    document.getElementById("restrict").appendItem("New Testament", "New_Testament");
    document.getElementById("restrict").appendItem("Old Testament", "Old_Testament");
    document.getElementById("restrict").appendItem("OT Historical Books", "OT_Historical_Books");
    document.getElementById("restrict").appendItem("Pauline Epistles", "Pauline_Epistles");
    document.getElementById("restrict").appendItem("Wisdom Books", "Wisdom_Books");
    document.getElementById("restrict").selectedIndex=0;
}

function changeLanguage(langR) {
    document.getElementById("version").removeAllItems();
    if (langR == "albanian") {
        document.getElementById("version").appendItem("ALB", "ALB");
    } else if (langR == "arabic") {
        document.getElementById("version").appendItem("IBS", "IBS");
    } else if (langR == "chinese") {
        document.getElementById("version").appendItem("CUV", "CUV");
    } else if (langR == "croatian") {
        document.getElementById("version").appendItem("IBS-CRO", "IBS-CRO");
    } else if (langR == "czech") {
        document.getElementById("version").appendItem("CZ-IBS", "CZ-IBS");
    } else if (langR == "danish") {
        document.getElementById("version").appendItem("DN1933", "DN1933");
    } else if (langR == "dutch") {
        document.getElementById("version").appendItem("HTB-IBS", "HTB-IBS");
    } else if (langR == "english") {
        document.getElementById("version").appendItem("AMP", "AMP");
        document.getElementById("version").appendItem("ASV", "ASV");
        document.getElementById("version").appendItem("CEV", "CEV");
        document.getElementById("version").appendItem("DARBY", "DARBY");
        document.getElementById("version").appendItem("ESV", "ESV");
        document.getElementById("version").appendItem("KJ21", "KJ21");
        document.getElementById("version").appendItem("KJV", "KJV");
        document.getElementById("version").appendItem("MSG", "MSG");
        document.getElementById("version").appendItem("NASB", "NASB");
        document.getElementById("version").appendItem("NIRV", "NIRV");
        document.getElementById("version").appendItem("NIV", "NIV");
        document.getElementById("version").appendItem("NIV-UK", "NIV-UK");
        document.getElementById("version").appendItem("NKJV", "NKJV");
        document.getElementById("version").appendItem("NLT", "NLT");
        document.getElementById("version").appendItem("NLV", "NLV");
        document.getElementById("version").appendItem("WE", "WE");
        document.getElementById("version").appendItem("WYC", "WYC");
        document.getElementById("version").appendItem("YLT", "YLT");
        document.getElementById("version").appendItem("RSV", "rsv");
        document.getElementById("version").appendItem("NRSV", "nrs");
        document.getElementById("version").appendItem("God's Word", "gwd");
        document.getElementById("version").appendItem("NCV", "ncv");
        document.getElementById("version").appendItem("GNT", "gnt");
        document.getElementById("version").appendItem("TMB", "tmb");
        document.getElementById("version").appendItem("Douay-Rheims", "rhe");
        document.getElementById("version").appendItem("HCSB (NT)", "csb");
        document.getElementById("version").appendItem("WEB", "web");
    } else if (langR == "french") {
        document.getElementById("version").appendItem("BDS-IBS", "BDS-IBS");
        document.getElementById("version").appendItem("LSG", "LSG");
    } else if (langR == "german") {
        document.getElementById("version").appendItem("ELB", "ELB");
        document.getElementById("version").appendItem("HOF-IBS", "HOF-IBS");
        document.getElementById("version").appendItem("LUTH", "LUTH");
    } else if (langR == "greek") {
        document.getElementById("version").appendItem("TR1550", "TR1550");
        document.getElementById("version").appendItem("TR1894", "TR1894");
        document.getElementById("version").appendItem("WHNU", "WHNU");
    } else if (langR == "haitian") {
        document.getElementById("version").appendItem("HCV", "HCV");
    } else if (langR == "hungarian") {
        document.getElementById("version").appendItem("KAR", "KAR");
    } else if (langR == "icelandic") {
        document.getElementById("version").appendItem("ICELAND", "ICELAND");
    } else if (langR == "italian") {
        document.getElementById("version").appendItem("CEI", "CEI");
        document.getElementById("version").appendItem("ITA-IBS", "ITA-IBS");
        document.getElementById("version").appendItem("LND", "LND");
    } else if (langR == "korean") {
        document.getElementById("version").appendItem("KOREAN", "KOREAN");
    } else if (langR == "latin") {
        document.getElementById("version").appendItem("VULGATE", "VULGATE");
    } else if (langR == "lowgerman") {
        document.getElementById("version").appendItem("REIMER", "REIMER");
    } else if (langR == "maori") {
        document.getElementById("version").appendItem("MAORI", "MAORI");
    } else if (langR == "norwegian") {
        document.getElementById("version").appendItem("DNB1930", "DNB1930");
        document.getElementById("version").appendItem("NOR-IBS", "NOR-IBS");
    } else if (langR == "polish") {
        document.getElementById("version").appendItem("POLISH", "POLISH");
    } else if (langR == "portuguese") {
        document.getElementById("version").appendItem("NVI", "NVI");
        document.getElementById("version").appendItem("PORAA", "PORAA");
        document.getElementById("version").appendItem("PRT-IBS", "PRT-IBS");
    } else if (langR == "romanian") {
        document.getElementById("version").appendItem("RMNN", "RMNN");
        document.getElementById("version").appendItem("ROM-TLRC", "ROM-TLRC");
    } else if (langR == "russian") {
        document.getElementById("version").appendItem("RUS-IBS", "RUS-IBS");
        document.getElementById("version").appendItem("RUSSV", "RUSSV");
    } else if (langR == "slovak") {
        document.getElementById("version").appendItem("SVK-IBS", "SVK-IBS");
    } else if (langR == "spanish") {
        document.getElementById("version").appendItem("BLS", "BLS");
        document.getElementById("version").appendItem("CST-IBS", "CST-IBS");
        document.getElementById("version").appendItem("DHH", "DHH");
        document.getElementById("version").appendItem("LBLA", "LBLA");
        document.getElementById("version").appendItem("NVI", "NVI");
        document.getElementById("version").appendItem("RVA", "RVA");
        document.getElementById("version").appendItem("RVR1960", "RVR1960");
        document.getElementById("version").appendItem("RVR1995", "RVR1995");
    } else if (langR == "swahili") {
        document.getElementById("version").appendItem("IBS-SWH", "IBS-SWH");
    } else if (langR == "swedish") {
        document.getElementById("version").appendItem("SV1917", "SV1917");
        document.getElementById("version").appendItem("SVL", "SVL");
    } else if (langR == "tagalog") {
        document.getElementById("version").appendItem("BIBINT", "BIBINT");
    } else if (langR == "ukranian") {
        document.getElementById("version").appendItem("UKR", "UKR");
    }
    document.getElementById("version").selectedIndex=0;
}

function toggleToolbar(menuItem)
{
    var comp = document.getElementById("bibletoolbar");
    var cl = comp.getAttribute("class");
    
    if(cl != "normalToolbar")
    {
        comp.setAttribute("class", "normalToolbar");
        menuItem.setAttribute("checked", "true");
    }
    else
    {
        comp.setAttribute("class", "hiddenbutton");
        menuItem.setAttribute("checked", "false");
    }
}

function bibletoolbarIsUnHiding(){
var bibletoolbar = document.getElementById( "bibletoolbar" );

	if(bibletoolbar.getAttribute("hidden") == "false")
		return;

	goToggleToolbar("bibletoolbar","cmd_bibletoolbarShowHide");
	}

function bibletoolbarIsHiding(){
var bibletoolbar = document.getElementById( "bibletoolbar" );

	if(bibletoolbar.getAttribute("hidden") == "true")
		return;

	goToggleToolbar('bibletoolbar','cmd_bibletoolbarShowHide');
	}

function openOptions()
{
    window.openDialog("chrome://bibletoolbar/content/options.xul","options", "chrome,centerscreen,modal=yes,dialog=yes");
}

function onInitToolbar() {
    //Check the state of translation dropdown..
    var RDF = Components.classes["@mozilla.org/rdf/rdf-service;1"].getService(Components.interfaces.nsIRDFService);
    var dsource = RDF.GetDataSource("rdf:local-store");
    var nameRDF = RDF.GetResource("http://dupadee.net/rdf#name");

    var lang = dsource.GetTarget(RDF.GetResource("http://dupadee.net/settings/language"), nameRDF, true);

    var langR = lang.QueryInterface(Components.interfaces.nsIRDFLiteral).Value
    changeLanguage(langR);

    var l = 18;
    var dropdown = document.getElementById("version");
    var theItems = dropdown.firstChild.childNodes;

    var tr = dsource.GetTarget(RDF.GetResource("http://dupadee.net/settings/translation"), nameRDF, true);
    if(tr) {

        document.getElementById("version").value = tr.QueryInterface(Components.interfaces.nsIRDFLiteral).Value;

/*        for (var i=0; i<theItems.length; i++) {
            if (tr.QueryInterface(Components.interfaces.nsIRDFLiteral).Value == theItems[i].value) {
                document.getElementById("version").selectedIndex = i;
            }
        }*/
    }

    var verR = tr.QueryInterface(Components.interfaces.nsIRDFLiteral).Value;
    if (verR=="asv"||verR=="rsv"||verR=="nrs"||verR=="gnt"||verR=="tmb"||verR=="rhe"||verR=="gwd"||verR=="ncv"|| verR=="csb"||verR=="web") {
        changeRestrictCW();
    } else {
        changeRestrictBG();
    }

    //set state of the menu item in the view menu which shows if the toolbar is displayed
    var comp = document.getElementById("bibletoolbar");
    var menuItem = document.getElementById("bibleToolbar-showhide");
    var cl = comp.getAttribute("class");
    
    if(cl == "normalToolbar")
        menuItem.setAttribute("checked", "true");
    else
        menuItem.setAttribute("checked", "false");
}

window.addEventListener("load", onInitToolbar, true);
