function onInit() {
    var RDF = Components.classes["@mozilla.org/rdf/rdf-service;1"].getService(Components.interfaces.nsIRDFService);
    var dsource = RDF.GetDataSource("rdf:local-store");
    var nameRDF = RDF.GetResource("http://dupadee.net/rdf#name");

    
    var lang = dsource.GetTarget(RDF.GetResource("http://dupadee.net/settings/language"), nameRDF, true);

    var langdropdown = document.getElementById("language");
    var langItems = langdropdown.firstChild.childNodes;


    if (lang) {
        for (var i1=0; i1<langItems.length; i1++) {
            if (lang.QueryInterface(Components.interfaces.nsIRDFLiteral).Value == langItems[i1].value) {
                document.getElementById("language").selectedIndex = i1;
            }
        }
    }

    changeLanguage();

    var tr = dsource.GetTarget(RDF.GetResource("http://dupadee.net/settings/translation"), nameRDF, true);
    var dropdown = document.getElementById("version");
    var theItems = dropdown.firstChild.childNodes;

    if(tr) {
        for (var i2=0; i2<theItems.length; i2++) {
                document.getElementById("version").value = tr.QueryInterface(Components.interfaces.nsIRDFLiteral).Value;
//            if (tr.QueryInterface(Components.interfaces.nsIRDFLiteral).Value == theItems[i2].value) {
//                document.getElementById("version").selectedIndex = i2;
//            }
        }
    }
    
    var nWin = dsource.GetTarget(RDF.GetResource("http://dupadee.net/settings/windowbehavior"), nameRDF, true);

    var howtodropdown = document.getElementById("howtoopen");
    var thehowtoItems = howtodropdown.firstChild.childNodes;


    if (nWin) {   
        for (var i3=0; i3<thehowtoItems.length; i3++) {
            if (nWin.QueryInterface(Components.interfaces.nsIRDFLiteral).Value == thehowtoItems[i3].value) {
                document.getElementById("howtoopen").selectedIndex = i3;
            }
        }
    }

}

function changeLanguage() {
    var langR = document.getElementById("language").value;
    document.getElementById("version").removeAllItems();

    if (langR == "albanian") {
        document.getElementById("version").appendItem("ALB", "ALB");
    } else if (langR == "arabic") {
        document.getElementById("version").appendItem("IBS", "IBS");
    } else if (langR == "chinese") {
        document.getElementById("version").appendItem("CUV", "CUV");
    } else if (langR == "croatian") {
        document.getElementById("version").appendItem("IBS-CRO", "IBS-CRO");
    } else if (langR == "czech") {
        document.getElementById("version").appendItem("CZ-IBS", "CZ-IBS");
    } else if (langR == "danish") {
        document.getElementById("version").appendItem("DN1933", "DN1933");
    } else if (langR == "dutch") {
        document.getElementById("version").appendItem("HTB-IBS", "HTB-IBS");
    } else if (langR == "english") {   
        document.getElementById("version").appendItem("AMP", "AMP");
        document.getElementById("version").appendItem("ASV", "ASV");
        document.getElementById("version").appendItem("CEV", "CEV");
        document.getElementById("version").appendItem("DARBY", "DARBY");
        document.getElementById("version").appendItem("ESV", "ESV");
        document.getElementById("version").appendItem("KJ21", "KJ21");
        document.getElementById("version").appendItem("KJV", "KJV");
        document.getElementById("version").appendItem("MSG", "MSG");
        document.getElementById("version").appendItem("NASB", "NASB");
        document.getElementById("version").appendItem("NIRV", "NIRV");
        document.getElementById("version").appendItem("NIV", "NIV");
        document.getElementById("version").appendItem("NIV-UK", "NIV-UK");
        document.getElementById("version").appendItem("NKJV", "NKJV");
        document.getElementById("version").appendItem("NLT", "NLT");
        document.getElementById("version").appendItem("NLV", "NLV");
        document.getElementById("version").appendItem("WE", "WE");
        document.getElementById("version").appendItem("WYC", "WYC");
        document.getElementById("version").appendItem("YLT", "YLT");
        document.getElementById("version").appendItem("RSV", "rsv");
        document.getElementById("version").appendItem("NRSV", "nrs");
        document.getElementById("version").appendItem("God's Word", "gwd");
        document.getElementById("version").appendItem("NCV", "ncv");
        document.getElementById("version").appendItem("GNT", "gnt");
        document.getElementById("version").appendItem("TMB", "tmb");
        document.getElementById("version").appendItem("Douay-Rheims", "rhe");
        document.getElementById("version").appendItem("HCSB (NT)", "csb");
        document.getElementById("version").appendItem("WEB", "web");
    } else if (langR == "french") {
        document.getElementById("version").appendItem("BDS-IBS", "BDS-IBS");
        document.getElementById("version").appendItem("LSG", "LSG");
    } else if (langR == "german") {
        document.getElementById("version").appendItem("ELB", "ELB");
        document.getElementById("version").appendItem("HOF-IBS", "HOF-IBS");
        document.getElementById("version").appendItem("LUTH", "LUTH");
    } else if (langR == "greek") {
        document.getElementById("version").appendItem("TR1550", "TR1550");
        document.getElementById("version").appendItem("TR1894", "TR1894");
        document.getElementById("version").appendItem("WHNU", "WHNU");
    } else if (langR == "haitian") {
        document.getElementById("version").appendItem("HCV", "HCV");
    } else if (langR == "hungarian") {
        document.getElementById("version").appendItem("KAR", "KAR");
    } else if (langR == "icelandic") {
        document.getElementById("version").appendItem("ICELAND", "ICELAND");
    } else if (langR == "italian") {
        document.getElementById("version").appendItem("CEI", "CEI");
        document.getElementById("version").appendItem("ITA-IBS", "ITA-IBS");
        document.getElementById("version").appendItem("LND", "LND");
    } else if (langR == "korean") {
        document.getElementById("version").appendItem("KOREAN", "KOREAN");
    } else if (langR == "latin") {
        document.getElementById("version").appendItem("VULGATE", "VULGATE");
    } else if (langR == "lowgerman") {
        document.getElementById("version").appendItem("REIMER", "REIMER");
    } else if (langR == "maori") {
        document.getElementById("version").appendItem("MAORI", "MAORI");
    } else if (langR == "norwegian") {
        document.getElementById("version").appendItem("DNB1930", "DNB1930");
        document.getElementById("version").appendItem("NOR-IBS", "NOR-IBS");
    } else if (langR == "polish") {
        document.getElementById("version").appendItem("POLISH", "POLISH");
    } else if (langR == "portuguese") {
        document.getElementById("version").appendItem("NVI", "NVI");
        document.getElementById("version").appendItem("PORAA", "PORAA");
        document.getElementById("version").appendItem("PRT-IBS", "PRT-IBS");
    } else if (langR == "romanian") {
        document.getElementById("version").appendItem("RMNN", "RMNN");
        document.getElementById("version").appendItem("ROM-TLRC", "ROM-TLRC");
    } else if (langR == "russian") {
        document.getElementById("version").appendItem("RUS-IBS", "RUS-IBS");
        document.getElementById("version").appendItem("RUSSV", "RUSSV");
    } else if (langR == "slovak") {
        document.getElementById("version").appendItem("SVK-IBS", "SVK-IBS");
    } else if (langR == "spanish") {
        document.getElementById("version").appendItem("BLS", "BLS");
        document.getElementById("version").appendItem("CST-IBS", "CST-IBS");
        document.getElementById("version").appendItem("DHH", "DHH");
        document.getElementById("version").appendItem("LBLA", "LBLA");
        document.getElementById("version").appendItem("NVI", "NVI");
        document.getElementById("version").appendItem("RVA", "RVA");
        document.getElementById("version").appendItem("RVR1960", "RVR1960");
        document.getElementById("version").appendItem("RVR1995", "RVR1995");
    } else if (langR == "swahili") {
        document.getElementById("version").appendItem("IBS-SWH", "IBS-SWH");
    } else if (langR == "swedish") {
        document.getElementById("version").appendItem("SV1917", "SV1917");
        document.getElementById("version").appendItem("SVL", "SVL");
    } else if (langR == "tagalog") {
        document.getElementById("version").appendItem("BIBINT", "BIBINT");
    } else if (langR == "ukranian") {
        document.getElementById("version").appendItem("UKR", "UKR");
    }
    document.getElementById("version").selectedIndex=0;
}



function onOK() {
    // Save the preferred translation
    var RDF = Components.classes["@mozilla.org/rdf/rdf-service;1"].getService(Components.interfaces.nsIRDFService);
    var dsource = RDF.GetDataSource("rdf:local-store");
    var nameRDF = RDF.GetResource("http://dupadee.net/rdf#name");

    node = RDF.GetResource("http://dupadee.net/settings/translation");
    var tr = dsource.GetTarget(node, nameRDF, true);
    if(tr)
    {
        tr = tr.QueryInterface(Components.interfaces.nsIRDFLiteral);
        dsource.Unassert(node, nameRDF, tr, true);
    }
    tr = RDF.GetLiteral(document.getElementById("version").value);
    dsource.Assert(node, nameRDF, tr, true);    

    node2 = RDF.GetResource("http://dupadee.net/settings/windowbehavior");
    var nWin = dsource.GetTarget(node2, nameRDF, true);
    if(nWin)
    {
        nWin = nWin.QueryInterface(Components.interfaces.nsIRDFLiteral);
        dsource.Unassert(node2, nameRDF, nWin, true);
    }
    nWin = RDF.GetLiteral(document.getElementById("howtoopen").value);
    dsource.Assert(node2, nameRDF, nWin, true);

    node3 = RDF.GetResource("http://dupadee.net/settings/language");
    var lang = dsource.GetTarget(node3, nameRDF, true);
    if(lang)
    {
        lang = lang.QueryInterface(Components.interfaces.nsIRDFLiteral);
        dsource.Unassert(node3, nameRDF, lang, true);
    }
    lang = RDF.GetLiteral(document.getElementById("language").value);
    dsource.Assert(node3, nameRDF, lang, true);    
}
    
    
